Gobject missing

I've just installed Matplotlib with the 2.3 version of Python packaged by Enthought & believe I followed the instructions on the Matplotlib web page. I am getting the following error message:

IDLE 1.0
>>> from matplotlib.matlab import *

Traceback (most recent call last):
   File "<pyshell#0>", line 1, in -toplevel-
     from matplotlib.matlab import *
   File "D:\PROGRA~1\PYTHON23\Lib\site-packages\matplotlib\matlab.py", line 121, in -toplevel-
     from axes import Subplot, Axes
   File "D:\PROGRA~1\PYTHON23\Lib\site-packages\matplotlib\axes.py", line 119, in -toplevel-
     import backends
   File "D:\PROGRA~1\PYTHON23\Lib\site-packages\matplotlib\backends\__init__.py", line 9, in -toplevel-
     from backend_gtk import AxisText, Figure, FigureManager, \
   File "D:\PROGRA~1\PYTHON23\Lib\site-packages\matplotlib\backends\backend_gtk.py", line 13, in -toplevel-
     import gobject
ImportError: DLL load failed: One of the library files needed to run this application cannot be found.
>>>

I'd be grateful for any suggestions.

Dave

Dave,

Are you sure you installed pygtk as mentioned at
http://matplotlib.sourceforge.net/backends.html ?
You might print out your sys.path to verify.

--Randy

From: matplotlib-users-admin@lists.sourceforge.net [mailto:matplotlib-
users-admin@lists.sourceforge.net] On Behalf Of David Nordquest
Sent: Wednesday, January 21, 2004 9:48 PM
To: matplotlib-users@lists.sourceforge.net
Subject: [Matplotlib-users] Gobject missing

I've just installed Matplotlib with the 2.3 version of Python packaged
by Enthought & believe I followed the instructions on the Matplotlib

web

page. I am getting the following error message:

IDLE 1.0
>>> from matplotlib.matlab import *

Traceback (most recent call last):
   File "<pyshell#0>", line 1, in -toplevel-
     from matplotlib.matlab import *
   File "D:\PROGRA~1\PYTHON23\Lib\site-packages\matplotlib\matlab.py",
line 121, in -toplevel-
     from axes import Subplot, Axes
   File "D:\PROGRA~1\PYTHON23\Lib\site-packages\matplotlib\axes.py",
line 119, in -toplevel-
     import backends
   File

"D:\PROGRA~1\PYTHON23\Lib\site-packages\matplotlib\backends\__init__.py"

···

-----Original Message-----

,

line 9, in -toplevel-
     from backend_gtk import AxisText, Figure, FigureManager, \
   File
"D:\PROGRA~1\PYTHON23\Lib\site-
packages\matplotlib\backends\backend_gtk.py",
line 13, in -toplevel-
     import gobject
ImportError: DLL load failed: One of the library files needed to run
this application cannot be found.
>>>

I'd be grateful for any suggestions.

Dave

-------------------------------------------------------
The SF.Net email is sponsored by EclipseCon 2004
Premiere Conference on Open Tools Development and Integration
See the breadth of Eclipse activity. February 3-5 in Anaheim, CA.
http://www.eclipsecon.org/osdn
_______________________________________________
Matplotlib-users mailing list
Matplotlib-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/matplotlib-users